---
title: "List API Client Credentials"
slug: "list-api-client-credentials"
updated: 2025-01-13T09:02:07Z
published: 2025-06-23T14:52:52Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Client Credentials

Get/env-mgmt/1.0/api-key/clients

This API enables users to get a list of Client Credentials through a Tenant or Environment.

### Notice

 Accessing the Policy Management APIs is through a dedicated domain/URL according to your PlainID Tenant Location:   

  `https://api.{REGION}.plainid.io`
    
   

  **United States (US)** -
  `https://api.us1.plainid.io`   
 **Canada (US)** -
  `https://api.ca1.plainid.io`   
 **Europe (US)** -
  `https://api.eu1.plainid.io`  

Replace`{REGION}` with your PlainID Tenant region (e.g. us1, eu1, ca1, etc.).

  

### Important note about headers

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.   
 

#### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H"Accept: application/json"` |

  

### cURL Sample Guidelines

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

   

### Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation. Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Query parametersfilter

Client Owner is the Environment ID. The Environment ID can be found under the **Details tab** in the **Environment Settings**. If this is for a **Tenant Admin**, input **null or -** in the **`ownerId`** field.

object  ownerIdstring    Required

Client Owner is the Environment ID. The Environment ID can be found under the **Details tab** in the **Environment Settings**. If this is for a **Tenant Admin**, input **null or -** in the **`ownerId`** field.

Valid values[
  "EnvId",
  "null or -"
]
idstring    
namestring    
permissionstring    Valid values[
  "ADMIN",
  "VIEWER"
]

sortstringValid values[
  "ASC",
  "DESC"
]
limitnumberMinimum1Maximum50Default50.0
offsetnumberMinimum0Default0.0

Responses200

Client

<select class='api-response-data' aria-label='Media type'><option value='bbd2f76c-22ef-4d09-81f6-30fe8a2c6ee1'>application/json</option>
</select>Expand Allobject  data Array of object   object  idstring    
ownerIdstring  (UUID)    
ownerTypestring    
namestring    
descriptionstring    
secretstring    

Null value

tokenDurationstring  (ISO-8601 duration)    
permissionstring    

totalinteger    
limitinteger    
offsetinteger    

400

Missing required filter parameter: `ownerId`

<select class='api-response-data' aria-label='Media type'><option value='62da66c9-eff4-40ba-b1c5-a163f0810694'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0ba63f45-bfe4-4a3d-a755-58beb8a9a89e'>missingOwnerId</option>
</select>missingOwnerId

```json
{
  "id": "EW55XA",
  "status": 400,
  "name": "MissingRequiredFilterParameterError",
  "message": "Missing required filter parameter: ownerId"
}
```

Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='2793648d-b066-487a-8883-d1eca4927d8b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='219e7dc5-1cd5-4325-b969-4fad6f644ce9'>forbidden environment</option>
<option value='c44e54eb-caa1-4645-b337-3befce9639d6'>forbidden tenant</option>
</select>forbidden environment

```json
{
  "id": "EW25XA",
  "status": 403,
  "name": "forbiddenEnvironment",
  "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions"
}
```

forbidden tenant

```json
{
  "id": "EW53XA",
  "status": 403,
  "name": "forbiddenTenant",
  "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions"
}
```

Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring    

404

Client not found

<select class='api-response-data' aria-label='Media type'><option value='161f0db7-492c-4387-8b06-5b4c1c8449b6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7dd9f512-7be7-4bf1-aeb9-7705d1ef083c'>client not found</option>
</select>client not found

```json
{
  "id": "EW54XA",
  "status": 404,
  "name": "clientNotFoundError",
  "message": "Client {name} not found"
}
```

Expand Allobject  codestring    
idstring    
statusinteger    
namestring    
messagestring    
argsobject  pathstring
